#!/bin/sh
#
# Start Diversity Navigator
#

classpath=./

classpath=$classpath:./jar/AbsoluteLayout.jar
classpath=$classpath:./jar/castor-0.9.4.3.jar
classpath=$classpath:./jar/castor-0.9.4.3-xml.jar
classpath=$classpath:./jar/jdbc-se2.0.jar
classpath=$classpath:./jar/jdom-b9.jar
classpath=$classpath:./jar/jta1.0.1.jar
classpath=$classpath:./jar/log4j-1.2.8.jar
classpath=$classpath:./jar/xmlParserAPIs.jar
classpath=$classpath:./jar/xalan.jar
classpath=$classpath:./jar/xerces.jar
#
classpath=$classpath:./jar/axis.jar
classpath=$classpath:./jar/jaxrpc-api.jar
classpath=$classpath:./jar/saaj.jar
classpath=$classpath:./jar/wsdl4j.jar
classpath=$classpath:./jar/commons-discovery.jar
classpath=$classpath:./jar/commons-logging.jar
#
# Postgresql JDBC Driver
#
classpath=$classpath:./jar/pg73jdbc3.jar
#
# use global CLASSPATH
classpath=$CLASSPATH
#
echo
echo "Use CLASSPATH: $classpath"
echo "Start DiversityNavigator ... "
#
# memory settings
#
# -Xms<size>        set initial Java heap size, The default value is 2MB
memset="-Xms8m"
#-Xmx<size>         set maximum Java heap size, The default value is 64MB
memset="$memset -Xmx128m"
#-Xss<size>        set java thread stack size
memset="$memset -Xss64m"
#
echo "memory settings: $memset"
#
java $memset -cp $classpath net.metadiversity.diversity.navigator.DiversityNavigator

#
